Bug 23410 - RedHat v7.0 Failed During Repeated NFS Install Attempts
RedHat v7.0 Failed During Repeated NFS Install Attempts
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-05 08:35 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 12:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Dumpfile from aborted install (7.72 KB, text/plain)
2001-01-05 08:36 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-01-05 08:35:12 EST
NFS install failed partially into package install.  Tried twice, with both failing at the same point.

Of note, I'm using iso images downloaded in the end of December.  I followed the new readme install instructions for NFS installs that require 
both CD RedHat dir contents to be copied to the NFS partition being exported.  Also note that these same CDs have been used successfully 
for several CD-based installs .... they only failed on the one box we have no CDROM drive and had to use the NFS mount.  Also note that v6.2 
installs successfully using the same NFS mount process ... so hardware compatibility is not an issue.

Below is the text from RedHat install's bug output at time of failure:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", 
line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File 
"/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in setScreen
    new_screen = screen.getScreen ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line 426, in getScreen
    self.todo.getHeaderList ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in getHeaderList
    self.hdList = self.method.readHeaders()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in readHeaders
    return HeaderListFromFile(self.tree + 
"/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in __init__
    hdlist = 
rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 848aa18>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'expert'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I0
sS'language'
p12
(itodo
Language
(dp13
S'abbrevMap'
p14
(dp15
S'es_ES'
p16
S'Spanish'
p17
sS'tr_TR'
p18
S'Turkish'
p19
sS'sr_YU'
p20
S'Serbian'
p21
sS'de_DE'
p22
S'German'
p23
sS'sk_SK'
p24
S'Slovak'
p25
sS'ru_RU.KOI8-R'
p26
S'Russian'
p27
sS'is_IS'
p28
S'Icelandic'
p29
sS'no_NO'
p30
S'Norwegian'
p31
sS'sv_SE'
p32
S'Swedish'
p33
sS'en_US'
p34
S'English'
p35
sS'it_IT'
p36
S'Italian'
p37
sS'da_DK'
p38
S'Danish'
p39
sS'cs_CZ'
p40
S'Czech'
p41
sS'uk_UA.KOI8-U'
p42
S'Ukrainian'
p43
sS'hu_HU'
p44
S'Hungarian'
p45
sS'fr_FR'
p46
S'French'
p47
sS'sl_SI'
p48
S'Slovenian'
p49
sS'ro_RO'
p50
S'Romanian'
p51
ssS'font'
p52
(dp53
g37
S'lat0-sun16'
sg21
S'cyr-sun16'
sg27
S'cyr-sun16'
sg35
S'None'
sg25
S'lat2-sun16'
sg31
S'lat0-sun16'
sg33
S'lat0-sun16'
sg47
S'None'
sg49
S'lat2-sun16'
sg51
S'lat2-sun16'
sg23
S'None'
sg19
S'lat5-sun16'
sg45
S'lat2-sun16'
sg17
S'None'
sg43
S'cyr-sun16'
sg41
S'lat2-sun16'
sg39
S'lat0-sun16'
sg29
S'lat0-sun16'
ssS'langs'
p54
(dp55
g37
g36
sg21
g20
sg27
g26
sg35
g34
sg25
g24
sg31
g30
sg33
g32
sg47
g46
sg49
g48
sg51
g50
sg23
g22
sg19
g18
sg45
g44
sg17
g16
sg43
g42
sg41
g40
sg39
g38
sg29
g28
ssS'info'
p56
(dp57
S'LANG'
p58
g34
ssS'map'
p59
(dp60
g37
S'iso15'
sg21
S'iso05'
sg27
S'koi8-r'
sg35
S'None'
sg25
S'iso02'
sg31
S'iso15'
sg33
S'iso15'
sg47
S'None'
sg49
S'iso02'
sg51
S'iso02'
sg23
S'None'
sg19
S'iso09'
sg45
S'iso02'
sg17
S'None'
sg43
S'koi8-u'
sg41
S'iso02'
sg39
S'iso15'
sg29
S'iso15'
ssS'lang'
p61
g34
sbsS'fstab'
p62
NsS'lilo'
p63
(ililo
LiloConfiguration
(dp64
S'liloDevice'
p65
S'partition'
p66
sS'initrdsMade'
p67
(dsS'edd'
p68
I0
sS'default'
p69
S'linux'
p70
sS'liloImages'
p71
(dp72
S'hda1'
(S'dos'
I1
tsS'hda2'
(g70
I2
tssS'liloLinear'
p73
I1
sS'liloAppend'
p74
S''
sbsS'comps'
p75
NsS'network'
p76
(itodo
Network
(dp77
S'netdevices'
p78
(dp79
S'eth0'
p80
(itodo
NetworkDevice
(dp81
g56
(dp82
S'ONBOOT'
p83
S'no'
sS'IPADDR'
p84
S'10.10.10.18'
sS'DEVICE'
p85
g80
sS'NETWORK'
S'10.10.10.0'
sS'BOOTPROTO'
p86
S'static'
sS'NETMASK'
p87
S'255.255.255.0'
sS'BROADCAST'
S'10.10.10.255'
ssbssS'gateway'
p88
S'10.10.10.1'
sS'secondaryNS'
p89
S''
sS'hostname'
p90
S'mktg17'
sS'primaryNS'
p91
S''
sS'domains'
p92
(lsS'isConfigured'
p93
I1
sS'readData'
p94
I1
sS'ternaryNS'
p95
S''
sbsS'upgrade'
p96
I0
sS'instClass'
p97
(icustom
InstallClass
(dp98
S'rootPasswordCrypted'
p99
I0
sS'nameserver'
p100
S''
sS'x'
NsS'rootPassword'
p101
NsS'makeBootdisk'
p102
I0
sS'installType'
p103
NsS'postScript'
p104
NsS'earlySwapOn'
p105
I0
sS'networkDevice'
p106
NsS'clearText'
p107
Nsg63
(S'mbr'
p108
I1
S''
tsg12
NsS'name'
p109
S''
sS'postInChroot'
p110
I0
sS'pixmap'
p111
S''
sS'partitions'
p112
(lsS'clearType'
p113
Nsg88
S''
sS'mouse'
p114
NsS'packages'
p115
NsS'timezone'
p116
NsS'zeroMbr'
p117
I0
sS'keyboard'
p118
NsS'groups'
p119
NsS'bootProto'
p120
NsS'netmask'
p121
S''
sS'raidList'
p122
(lsS'skipSteps'
p123
(dsS'auth'
p124
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg90
Nsg62
(lsS'showgroups'
p125
NsS'ip'
p126
S''
sS'defaultRunlevel'
p127
NsS'desktop'
p128
S''
sS'clearPartText'
p129
NsS'clearParts'
p130
I0
sbsS'rootpassword'
p131
NsS'extraModules'
p132
(lp133
sg114
(imouse
Mouse
p134
(dp135
S'device'
p136
S'psaux'
p137
sg56
(dp138
S'XMOUSETYPE'
p139
S'PS/2'
p140
sS'FULLNAME'
p141
S'Generic - 3 Button Mouse (PS/2)'
sS'MOUSETYPE'
p142
S'ps/2'
p143
ssS'emu'
p144
I0
sS'wasProbed'
p145
I1
sS'emulate'
p146
I1
sbsS'ddruidAlreadySaved'
p147
I0
sS'serial'
p148
I0
sg116
(S'America/New_York'
I0
I0
tsg117
I0
sg118
(ikbd
Keyboard
(dp149
S'layout'
p150
NsS'model'
p151
NsS'type'
p152
S'PC'
p153
sg56
(dp154
S'KEYBOARDTYPE'
p155
S'pc'
p156
sS'KEYTABLE'
p157
S'us'
p158
ssbsS'fdDevice'
p159
S'fd0'
p160
sS'installSystem'
p161
I1
sS'setupFilesystems'
p162
I1
sg124
(itodo
Authentication
(dp163
S'useNIS'
p164
I0
sS'nisServer'
p165
S''
sS'useLdap'
p166
I0
sS'krb5Kdc'
p167
S''
sS'useHesiod'
p168
I0
sS'ldapServer'
p169
S''
sS'nisDomain'
p170
S''
sS'krb5Realm'
p171
S''
sS'useLdapauth'
p172
I0
sS'hesiodRhs'
p173
S''
sS'useShadow'
p174
I1
sS'nisuseBroadcast'
p175
I0
sS'useKrb5'
p176
I0
sS'useMD5'
p177
I1
sS'ldapBasedn'
p178
S''
sS'krb5Admin'
p179
S''
sS'hesiodLhs'
p180
S''
sS'hesiodDlhs'
p181
S''
sbsg90
NsS'reconfigOnly'
p182
I0
sS'x'
(ixf86config
XF86Config
p183
(dp184
S'monlist'
p185
(dsS'keyModel'
p186
S'pc101'
p187
sS'monids'
p188
(dsg136
NsS'monEisa'
p189
NsS'server'
p190
S'XFree86'
p191
sS'monHoriz'
p192
S'31.5'
p193
sS'devID'
p194
S'NeoMagic (laptop/notebook)'
p195
sS'descr'
p196
S'Neomagic Corporation|NM2160 [MagicGraph 128XD]'
p197
sS'modes'
p198
(dp199
S'8'
(lp200
S'640x480'
p201
assS'keyOptions'
p202
S''
sS'keyVariant'
p203
S''
sS'monID'
p204
S'Unprobed 
Monitor'
p205
sS'keyLayout'
p206
S'us'
p207
sS'manualModes'
p208
(dsg114
g134
sS'keyRules'
p209
S'xfree86'
p210
sS'monVert'
p211
S'60'
p212
sS'cardMan'
p213
S'MagicGraph 128XD 40K SVGA BIOS'
p214
sS'monSect'
p215
S''
sS'primary'
p216
I0
sS'vidRam'
p217
S'1984'
sS'probed'
p218
I1
sS'monName'
p219
NsS'vidCards'
p220
(lp221
(dp222
S'SERVER'
S'SVGA'
sS'DRIVER'
S'neomagic'
sS'LINE'
S'#    Chipset    
"NM2160"\012#    IOBase     0xfea00000\012#    MemBase    0xfd000000\012#    VideoRam   2048\012#    DacSpeed   90\012#    Option     
"linear"\012#    Option     "nolinear"\012#    Option     "sw_cursor"\012#    Option     "hw_cursor"\012#    Option     "no_accel"\012#    Option     
"intern_disp"\012#    Option     "extern_disp"\012#    Option     "mmio"\012#    Option     "no_mmio"\012#    Option     "lcd_center"\012#    
Option     "no_stretch"'
sS'NOCLOCKPROBE'
S''
sS'NAME'
g195
sS'VENDOR'
p223
g214
sS'CHIPSET'
S'MagicGraph 128 series'
sS''
S''
sasS'skip'
p224
I0
sS'files'
p225
S'\012# The location of the RGB database.  Note, this is the name of the\012# file minus the 
extension (like ".txt" or ".db").  There is normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# 
Multiple FontPath entries are allowed (they are concatenated together)\012# By default, Red Hat 6.0 and later now use a font server 
independent of\012# the X server to render fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    FontPath   
"unix/:7100"\012'
p226
sbsS'users'
p227
NsS'instPath'
p228
S'/mnt/sysimage'
p229
sS'intf'
p230
NsS'hdList'
p231
Nsb.
Comment 1 Need Real Name 2001-01-05 08:36:31 EST
Created attachment 7087 [details]
Dumpfile from aborted install
Comment 2 Michael Fulbright 2001-01-09 15:55:43 EST
This file:

   /mnt/source/./RedHat/base/hdlist

must be viiable to the installer when it mounts the NFS mount point you
specified.  You can see if this is the case by going to VC2 (cntl-alt-f2) when
you get this traceback, and doing an ls of /mnt/source and seeing if you can
find the hdlist.

Comment 3 Michael Fulbright 2001-02-08 12:54:40 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.